--桃源仙境抽奖配置

--第一次打开的抽奖海域界面，默认为1
local FirstOpen = {
	--1为天墉城，2为云梦泽，3为昆仑山
	["first_open"] = 1,
}

--抽奖动画的参数，可以根据实际效果调整
local LotteryShowData = {
	--走马灯每个光圈显示的时间量
	["level_show_time"] = 8,
	--走马灯最后一个光圈多显示的时间量
	["last_level_show_time"] = 10,
	--走马灯整个过程显示几次光圈
	["level_show_num"] = 15,
	--获得奖励时仙缘移动到中间位置的移动速度---弃用
	["move_speed"] = 3,
	--获得奖励时仙缘移动到中间位置的放大速度
	["scale_speed"] = 0.005,
	--获得奖励时仙缘移动到中间位置的移动时间
	["move_time"] = 30,
	--获得奖励时仙缘移动到中间位置的移动偏移x
	["move_offset_x"] = -5,
	--获得奖励时仙缘移动到中间位置的移动偏移y
	["move_offset_y"] = -6,
}

--每个海域的往前翻页按钮特效的配置
--特效只有一个向右的，因此向左的需要在向右的特效基础上做翻转放大和移动
local PrevPageButtonEffect = {
	--按钮旋转角度
	["rotate"] = { x = 0, y = 180, z = 0 },
	["scale"] = { x = 1, y = 1.5, },
	["move"] = { x = 9, y = 1, },
}

local LotteryTenInfo = {
	[0] = "Taoyuan_ItemKLV1" , 
	[1] = "Taoyuan_ItemKLV2" , 
	[2] = "Taoyuan_ItemKLV3" , 
	[3] = "Taoyuan_ItemKLV4" , 
	[4] = "Taoyuan_ItemKLV5" , 
	[5] = "Taoyuan_ItemKLV6" , 
	[6] = "Taoyuan_ItemKLV7" , 
	[7] = "Taoyuan_ItemKLV8" , 
	["playSound"] = "Sound/taoyuan_10_lottery.wav",   --十连音效
	["playSound1"] = "Sound/taoyuan_lottery.wav",  --单抽音效
	["delayTm"] = "3000",  --十连抽特效延迟时间后打开界面
	["max_buy"] = 10000, --一次性最多购买多少个
	["max_Per"] = 10000, --一个格子最多叠加数量
	["guangtuan"] = "fwyidong_up",--物品飞的光效
	["speed"] = 800,--物品飞的光效速度
}

--界面特效的移动量
local EffectOffset = {
	["ty_jt"] = { x = 11, y = 25 },
	--["ty_beijing"] = { x = 438, y = 305 },
	["ty_anniu"] = { x = 73, y = 73 },
	["ty_10lanniu"] = { x = 75, y = 75 },
	["ty_1j"] = { x = 45, y = 0, z = 60 },
	["ty_2j"] = { x = 45, y = 0, z = 60 },
	["ty_3j"] = { x = 45, y = 0, z = 60 },
	["ty_4j"] = { x = 45, y = 0, z = 60 },
	["ty_5j"] = { x = 30, y = 0, z = 30 },
	["ty_6j"] = { x = 30, y = 0, z = 30 },
	["ty_7j"] = { x = 30, y = 0, z = 30 },
	["ty_8j"] = { x = 30, y = 0, z = 30 },
	["ty_daquan"] = { x = 45, y = 0, z = 40 },
	["ty_xiaoquan"] = { x = 30, y = 0, z = 25 },
	["ty_jiemian"] = { x = 460, y = 286},
	["ty_jmcx"] = { x = 460, y = 300},
	["ty_xyLv1"] = { x = 480, y = 300},
	["ty_xyLv2"] = { x = 480, y = 300},
	["ty_xyLv3"] = { x = 480, y = 300},
	["ty_xyLv4"] = { x = 480, y = 300},
	["ty_xyLv5"] = { x = 480, y = 300},
	["ty_xyLv6"] = { x = 480, y = 300},
	["ty_xyLv7"] = { x = 480, y = 300},
	["ty_xyLv8"] = { x = 480, y = 300},
}

--界面特效的缩放比
local EffectScale = {
	["ty_jt"] = { x = 1, y = 1 },
	--["ty_beijing"] = { x = 0.84, y = 0.64 },
	["ty_anniu"] = { x = 1, y = 1 , z = 1 },
	["ty_10lanniu"] = { x = 1, y = 1 , z = 1 },
	["ty_1j"] = { x = 0.7, y = 0.6, z = 0.6},
	["ty_2j"] = { x = 0.6, y = 0.5, z = 0.6 },
	["ty_3j"] = { x = 0.5, y = 0.4, z = 0.6 },
	["ty_4j"] = { x = 0.5, y = 0.4, z = 0.6 },
	["ty_5j"] = { x = 0.3, y = 0.3, z = 0.4 },
	["ty_6j"] = { x = 0.3, y = 0.3, z = 0.4 },
	["ty_7j"] = { x = 0.5, y = 0.4, z = 0.6 },
	["ty_8j"] = { x = 0.5, y = 0.4, z = 0.6 },
	["ty_daquan"] = { x = 0.8, y = 0.8, z = 1 },
	["ty_xiaoquan"] = { x = 0.8, y = 0.8, z = 1 },
	["ty_jiemian"] = { x = 0.8, y = 0.8, z = 1 },
	["ty_jmcx"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv1"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv2"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv3"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv4"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv5"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv6"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv7"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv8"] = { x = 1, y = 1, z = 1 },
}


--十连抽界面特效的移动量
local EffectOffsetTen = {
	--["ty_jiemian"] = { x = 468, y = 336},
	["ty_jmcx2"] = { x = 530, y = 366},
	["ty_10ljm"] = { x = 550, y = 290},
	["ty_10l"] = { x = 540, y = 380},
	["ty_pzlv1"] = { x = 24, y = 30},
	["ty_pzlv2"] = { x = 24, y = 30},
	["ty_pzlv3"] = { x = 24, y = 30},
	["ty_pzlv4"] = { x = 24, y = 30},
}

--十连抽界面特效的缩放比
local EffectScaleTen = {
	--["ty_jiemian"] = { x = 0.8, y = 0.8, z = 1 },
	["ty_jmcx2"] = { x = 1, y = 1, z = 1 },
	["ty_10ljm"] = { x = 1, y = 1, z = 1 },
	["ty_10l"] = { x = 1, y = 1, z = 1 },
	["ty_pzlv1"] = { x = 1, y = 1, z = 1.1 },
	["ty_pzlv2"] = { x = 1, y = 1, z = 1.1 },
	["ty_pzlv3"] = { x = 1, y = 1, z = 1.1 },
	["ty_pzlv4"] = { x = 1, y = 1, z = 1.1 },
}

--消耗道具的图标ID
local ItemIconID = {
	--桃源灵玉
	[0] = 711504,
	--浮生碧玉
	[1] = 712018,
	--月华宝玉
	[2] = 712019,
}

--消耗道具的图标ID
local IslandDateColor = {
	--未开始
	["Yet"] = 0xff00ff00,
	--时间内
	["Normal"] = 0xff00ff00,
	--已结束
	["Over"] = 0xff00ff00,
}



--每个海域每个仙岛的名字，消耗道具ID、最大抽奖次数，消耗道具数量，是否可以十连抽，抽奖界面提示，购买需要背包空间
local IslandLotteryDate = {
	--天墉城
	[0] = {
		--蓬莱仙岛
		[0] = {
			["IsIndex"] = 1,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_PLXD_N",  --仙岛名称
			["out_item"] = "711504,4200011",  --产出物
			["item_type"] = 711504,  --消耗物品ID
			["max_time"] = 3,        --最大单抽数
			["cost_num"] = 3,               --消耗物品数量
			["lottry_ten"] = 0,            --是否可以十连抽  1： 可以  0 ：不行
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC1",  --抽奖界面描述
			["pack_num"] = 2,          --每次购买占用背包格子数
			["price"] = 9,          --每份购买价格
			["tenprice"] = 0,         --十连抽消耗
			["giveup_item"] = 711504,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT1", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--玉衡岩
		[1] = {
			["IsIndex"] = 2,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_YHY_N",
			["out_item"] = "711504,4200011",  --产出物
			["item_type"] = 711504,  --消耗物品ID
			["max_time"] = 3,        --最大单抽数
			["cost_num"] = 3,               --消耗物品数量
			["lottry_ten"] = 0,            --是否可以十连抽  1： 可以  0 ：不行
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC2",  --抽奖界面描述
			["pack_num"] = 2,          --每次购买占用背包格子数
			["price"] = 9,          --每份购买价格
			["tenprice"] = 0,         --十连抽消耗
			["giveup_item"] = 711504,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT2", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--天星崖
		[2] = {
			["IsIndex"] = 3,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_TXY_N",
			["out_item"] = "711504,4200011",  --产出物
			["item_type"] = 711504,  --消耗物品ID
			["max_time"] = 3,        --最大单抽数
			["cost_num"] = 3,               --消耗物品数量
			["lottry_ten"] = 0,            --是否可以十连抽  1： 可以  0 ：不行
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC3",  --抽奖界面描述
			["pack_num"] = 2,          --每次购买占用背包格子数
			["price"] = 9,          --每份购买价格
			["tenprice"] = 0,         --十连抽消耗
			["giveup_item"] = 711504,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT3", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--玄清门
		[3] = {
			["IsIndex"] = 4,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_XQM_N",
			["out_item"] = "711504,4200011",  --产出物
			["item_type"] = 711504,  --消耗物品ID
			["max_time"] = 3,        --最大单抽数
			["cost_num"] = 3,               --消耗物品数量
			["lottry_ten"] = 0,            --是否可以十连抽  1： 可以  0 ：不行
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC4",  --抽奖界面描述
			["pack_num"] = 2,          --每次购买占用背包格子数
			["price"] = 9,          --每份购买价格
			["tenprice"] = 0,         --十连抽消耗
			["giveup_item"] = 711504,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT4", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--三才殿
		[4] = {
			["IsIndex"] = 5,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_SCD_N",
			["out_item"] = "711504,4200011",  --产出物
			["item_type"] = 711504,  --消耗物品ID
			["max_time"] = 3,        --最大单抽数
			["cost_num"] = 3,               --消耗物品数量
			["lottry_ten"] = 0,            --是否可以十连抽  1： 可以  0 ：不行
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC5",  --抽奖界面描述
			["pack_num"] = 2,          --每次购买占用背包格子数
			["price"] = 9,          --每份购买价格
			["tenprice"] = 0,         --十连抽消耗
			["giveup_item"] = 711504,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT5", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
	},
	--云梦泽
	[1] = {
		--诛仙台
		[0] = {
			["IsIndex"] = 6,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_ZXT_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC6",
			["pack_num"] = 2,
			["price"] = 9,
			["tenprice"] = 0,         --十连抽消耗
			["giveup_item"] = 712018,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT6", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--求道屿
		[1] = {
			["IsIndex"] = 7,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_QDY_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 1,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC7",
			["pack_num"] = 2,
			["price"] = 1000,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 712018,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT7", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--无尘阁
		[2] = {
			["IsIndex"] = 8,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_WCG_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 1,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC8",
			["pack_num"] = 2,
			["price"] = 1000,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 711504,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT8", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--莲花池
		[3] = {
			["IsIndex"] = 9,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_LHC_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 1,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC9",
			["pack_num"] = 2,
			["price"] = 1000,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 712018,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT9", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--玉京塔
		[4] = {
			["IsIndex"] = 10,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_YJT_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 1,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC10",
			["pack_num"] = 2,
			["price"] = 1000,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 711504,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT10", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
	},
	--昆仑山
	[2] = {
		--一线天
		[0] = {
			["IsIndex"] = 11,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_YXT_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC11",
			["pack_num"] = 2,
			["price"] = 90,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 712019,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=10, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT11", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--大华观
		[1] = {
			["IsIndex"] = 12,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_DHG_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 1,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC12",
			["pack_num"] = 2,
			["price"] = 399,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 712019,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT12", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--寻仙阁
		[2] = {
			["IsIndex"] = 13,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_XXG_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC13",
			["pack_num"] = 2,
			["price"] = 399,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 712019,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT13", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--丹堂
		[3] = {
			["IsIndex"] = 14,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_DT_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC14",
			["pack_num"] = 2,
			["price"] = 399,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 712019,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT14", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--月轮关
		[4] = {
			["IsIndex"] = 15,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_YLG_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC15",
			["pack_num"] = 2,
			["price"] = 399,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 712019,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT15", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
	},
}


local IslandLotteryDatePassion = {
	--天墉城
	[0] = {
		--蓬莱仙岛
		[0] = {
			["IsIndex"] = 1,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_PLXD_N",  --仙岛名称
			["out_item"] = "711504,4200011",  --产出物
			["item_type"] = 711504,  --消耗物品ID
			["max_time"] = 3,        --最大单抽数
			["cost_num"] = 3,               --消耗物品数量
			["lottry_ten"] = 0,            --是否可以十连抽  1： 可以  0 ：不行
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC1",  --抽奖界面描述
			["pack_num"] = 2,          --每次购买占用背包格子数
			["price"] = 9,          --每份购买价格
			["tenprice"] = 0,         --十连抽消耗
			["giveup_item"] = 711504,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT1", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--玉衡岩
		[1] = {
			["IsIndex"] = 2,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_YHY_N",
			["out_item"] = "711504,4200011",  --产出物
			["item_type"] = 711504,  --消耗物品ID
			["max_time"] = 3,        --最大单抽数
			["cost_num"] = 3,               --消耗物品数量
			["lottry_ten"] = 0,            --是否可以十连抽  1： 可以  0 ：不行
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC2",  --抽奖界面描述
			["pack_num"] = 2,          --每次购买占用背包格子数
			["price"] = 9,          --每份购买价格
			["tenprice"] = 0,         --十连抽消耗
			["giveup_item"] = 711504,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT6", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--天星崖
		[2] = {
			["IsIndex"] = 3,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_TXY_N",
			["out_item"] = "711504,4200011",  --产出物
			["item_type"] = 711504,  --消耗物品ID
			["max_time"] = 3,        --最大单抽数
			["cost_num"] = 3,               --消耗物品数量
			["lottry_ten"] = 0,            --是否可以十连抽  1： 可以  0 ：不行
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC3",  --抽奖界面描述
			["pack_num"] = 2,          --每次购买占用背包格子数
			["price"] = 9,          --每份购买价格
			["tenprice"] = 0,         --十连抽消耗
			["giveup_item"] = 711504,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT6", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--玄清门
		[3] = {
			["IsIndex"] = 4,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_XQM_N",
			["out_item"] = "711504,4200011",  --产出物
			["item_type"] = 711504,  --消耗物品ID
			["max_time"] = 3,        --最大单抽数
			["cost_num"] = 3,               --消耗物品数量
			["lottry_ten"] = 0,            --是否可以十连抽  1： 可以  0 ：不行
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC4",  --抽奖界面描述
			["pack_num"] = 2,          --每次购买占用背包格子数
			["price"] = 9,          --每份购买价格
			["tenprice"] = 0,         --十连抽消耗
			["giveup_item"] = 711504,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT6", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--三才殿
		[4] = {
			["IsIndex"] = 5,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_SCD_N",
			["out_item"] = "711504,4200011",  --产出物
			["item_type"] = 711504,  --消耗物品ID
			["max_time"] = 3,        --最大单抽数
			["cost_num"] = 3,               --消耗物品数量
			["lottry_ten"] = 0,            --是否可以十连抽  1： 可以  0 ：不行
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC5",  --抽奖界面描述
			["pack_num"] = 2,          --每次购买占用背包格子数
			["price"] = 9,          --每份购买价格
			["tenprice"] = 0,         --十连抽消耗
			["giveup_item"] = 711504,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT6", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
	},
	--云梦泽
	[1] = {
		--诛仙台
		[0] = {
			["IsIndex"] = 6,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_ZXT_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC6",
			["pack_num"] = 2,
			["price"] = 9,
			["tenprice"] = 0,         --十连抽消耗
			["giveup_item"] = 712018,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT6", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--求道屿
		[1] = {
			["IsIndex"] = 7,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_QDY_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 1,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC7",
			["pack_num"] = 2,
			["price"] = 1000,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 712018,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT7", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--无尘阁
		[2] = {
			["IsIndex"] = 8,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_WCG_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 1,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC8",
			["pack_num"] = 2,
			["price"] = 1000,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 711504,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT8", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--莲花池
		[3] = {
			["IsIndex"] = 9,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_LHC_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 1,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC9",
			["pack_num"] = 2,
			["price"] = 1000,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 712018,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT9", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--玉京塔
		[4] = {
			["IsIndex"] = 10,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_YJT_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 1,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC10",
			["pack_num"] = 2,
			["price"] = 1000,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 711504,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT10", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
	},
	--昆仑山
	[2] = {
		--一线天
		[0] = {
			["IsIndex"] = 11,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_YXT_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC11",
			["pack_num"] = 2,
			["price"] = 90,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 712019,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=10, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT11", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--大华观
		[1] = {
			["IsIndex"] = 12,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_DHG_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 1,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC12",
			["pack_num"] = 2,
			["price"] = 399,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 712019,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT12", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--寻仙阁
		[2] = {
			["IsIndex"] = 13,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_XXG_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC13",
			["pack_num"] = 2,
			["price"] = 399,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 712019,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT13", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--丹堂
		[3] = {
			["IsIndex"] = 14,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_DT_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC14",
			["pack_num"] = 2,
			["price"] = 399,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 712019,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT14", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
		--月轮关
		[4] = {
			["IsIndex"] = 15,  --仙岛对应的抽奖编号，应策划需求
			["name"] = "STR_TYXJ_LOTTERY_YLG_N",
			["out_item"] = "711504,4200006",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC15",
			["pack_num"] = 2,
			["price"] = 399,
			["tenprice"] = 30,         --十连抽消耗
			["giveup_item"] = 712019,  --放弃时可以得到物品
			["buy_icon"]=3331782, --购买时的物品图标
			["buy_name"]="STR_TYXJ_LOTTERY_BUY_NAME", --购买时的物品名字
			["buy_count"]=1, 		   --每次购买时的物品份数  如  买3份
			["TipOut"]="STR_TYXJ_LOTTERY_PROCESS_TIPOUT15", 		   --提示产出物，改成用文本
			["Relottery_num"]=1
		},
	},
}

--每个海域每个仙岛的开放状态和时间区间,时间格式yyyymmddhhmmss
local IslandDate = {
	--天墉城
	[0] = {
		--蓬莱仙岛
		[0] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		--玉衡岩
		[1] = {
			["status"] = 0,
			["start"] = 20190904000000,
			["end"] = 20190905000000,
		},
		--天星崖
		[2] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--玄清门
		[3] = {
			["status"] = 0,
			["start"] = 20190906000000,
			["end"] = 20190907000000,
		},
		--三才殿
		[4] = {
			["status"] = 0,
			["start"] = 20191001000000,
			["end"] = 20191007000000,
		},
	},
	--云梦泽
	[1] = {
		--诛仙台
		[0] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--求道屿
		[1] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--无尘阁
		[2] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--莲花池
		[3] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--玉京塔
		[4] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
	},
	--昆仑山
	[2] = {
		--一线天
		[0] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--大华观
		[1] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190905000000,
		},
		--寻仙阁
		[2] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--丹堂
		[3] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--月轮关
		[4] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
	},
}

local IslandDatePassion = {
	--天墉城
	[0] = {
		--蓬莱仙岛
		[0] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		--玉衡岩
		[1] = {
			["status"] = 2,
			["start"] = 20190904000000,
			["end"] = 20190905000000,
		},
		--天星崖
		[2] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--玄清门
		[3] = {
			["status"] = 2,
			["start"] = 20190906000000,
			["end"] = 20190907000000,
		},
		--三才殿
		[4] = {
			["status"] = 2,
			["start"] = 20191001000000,
			["end"] = 20191007000000,
		},
	},
	--云梦泽
	[1] = {
		--诛仙台
		[0] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--求道屿
		[1] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--无尘阁
		[2] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--莲花池
		[3] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--玉京塔
		[4] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
	},
	--昆仑山
	[2] = {
		--一线天
		[0] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--大华观
		[1] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190905000000,
		},
		--寻仙阁
		[2] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--丹堂
		[3] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
		--月轮关
		[4] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20190906000000,
		},
	},
}

--每个海域每个仙岛每个等级的仙缘的获奖概率
local AwardRate = {
	--天墉城
	[0] = {
		--蓬莱仙岛
		[0] = {
			[0] = "0.1%",
			[1] = "0.4%",
			[2] = "1%",
			[3] = "3%",
			[4] = "8%",
			[5] = "15%",
			[6] = "30%",
			[7] = "42.5%",
		},
		--玉衡岩
		[1] = {
			[0] = "0.1%",
			[1] = "0.4%",
			[2] = "1%",
			[3] = "3%",
			[4] = "17%",
			[5] = "6%",
			[6] = "30%",
			[7] = "42.5%",
		},
		--天星崖
		[2] = {
			[0] = "0.1%",
			[1] = "0.4%",
			[2] = "1%",
			[3] = "3%",
			[4] = "9%",
			[5] = "14%",
			[6] = "30%",
			[7] = "42.5%",
		},
		--玄清门
		[3] = {
			[0] = "0.1%",
			[1] = "0.4%",
			[2] = "1%",
			[3] = "3%",
			[4] = "17%",
			[5] = "6%",
			[6] = "30%",
			[7] = "42.5%",
		},
		--三才殿
		[4] = {
			[0] = "0.1%",
			[1] = "0.4%",
			[2] = "1%",
			[3] = "3%",
			[4] = "9%",
			[5] = "14%",
			[6] = "30%",
			[7] = "42.5%",
		},
	},
	--云梦泽
	[1] = {
		--诛仙台
		[0] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		--求道屿
		[1] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		--无尘阁
		[2] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		--莲花池
		[3] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		--玉京塔
		[4] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
	},
	--昆仑山
	[2] = {
		--一线天
		[0] = {
			[0] = "0.7%",
			[1] = "1.4%",
			[2] = "1.1%",
			[3] = "2.1%",
			[4] = "4.5%",
			[5] = "9.3%",
			[6] = "32.4%",
			[7] = "48.5%",
		},
		--大华观
		[1] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		--寻仙阁
		[2] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		--丹堂
		[3] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		--月轮关
		[4] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
	},
}

--每个海域每个仙岛每个等级的仙缘的获奖概率
local AwardRatePassion = {
	--天墉城
	[0] = {
		--蓬莱仙岛
		[0] = {
			[0] = "0.1%",
			[1] = "0.4%",
			[2] = "1%",
			[3] = "3%",
			[4] = "8%",
			[5] = "15%",
			[6] = "30%",
			[7] = "42.5%",
		},
		--玉衡岩
		[1] = {
			[0] = "0.1%",
			[1] = "0.4%",
			[2] = "1%",
			[3] = "3%",
			[4] = "17%",
			[5] = "6%",
			[6] = "30%",
			[7] = "42.5%",
		},
		--天星崖
		[2] = {
			[0] = "0.1%",
			[1] = "0.4%",
			[2] = "1%",
			[3] = "3%",
			[4] = "9%",
			[5] = "14%",
			[6] = "30%",
			[7] = "42.5%",
		},
		--玄清门
		[3] = {
			[0] = "0.1%",
			[1] = "0.4%",
			[2] = "1%",
			[3] = "3%",
			[4] = "17%",
			[5] = "6%",
			[6] = "30%",
			[7] = "42.5%",
		},
		--三才殿
		[4] = {
			[0] = "0.1%",
			[1] = "0.4%",
			[2] = "1%",
			[3] = "3%",
			[4] = "9%",
			[5] = "14%",
			[6] = "30%",
			[7] = "42.5%",
		},
	},
	--云梦泽
	[1] = {
		--诛仙台
		[0] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		--求道屿
		[1] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		--无尘阁
		[2] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		--莲花池
		[3] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		--玉京塔
		[4] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
	},
	--昆仑山
	[2] = {
		--一线天
		[0] = {
			[0] = "0.7%",
			[1] = "1.4%",
			[2] = "1%",
			[3] = "2.1%",
			[4] = "4.5%",
			[5] = "8.8%",
			[6] = "32.6%",
			[7] = "48.9%",
		},
		--大华观
		[1] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		--寻仙阁
		[2] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		--丹堂
		[3] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		--月轮关
		[4] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
	},
}

--每个海域每个仙岛每个等级的仙缘的获奖物品
local AwaredItem = {
--天墉城
	[0] = {
		--蓬莱仙岛
		[0] = {
			[0] = { 723722,723723,421078,500078,900008,410078,420088,430088,440088,450088,460088,480088,481088,490088,510088,530088,540088,560088,580088,561088,130038,118038,131038,111038,133038,113018,134038,114038,121088,120088,152108,117038,150078,151078,160078,130048,118048,131048,111048,133028,113028,134048,114048,121098,120098,152088,117048,150098,151098,160118,141048,142048,142018,141038,201008,202008,201008,202008,601088,135048,112038,123038,135028,112028,123028,723863,723864,723865,720049,723695,203008,143028,136028,143038,136048,610088,611088,139048,144038,139028,144028,612088,145038,145028,511088,730007,613088,624088,617098,138028,148028,619078,204008,204008,626088,101028,170028,4200008,4200009,4200010,200471,200589,200590,200591,200593,2168695,192635,4031401,4031501,4032701,4032501,4032301,4032601,4031601,4032801,4032101,4032401,4032201,4032001,4021801,4021301,4021601,4021501,4021401,4022001,4021901,4023001,4021101,4021701 },
			[1] = { 730006,2100025,1100009,723720,723721,130059,118059,131059,111059,133049,113039,134059,114069,121129,120129,152129,117069,150119,151119,160099,141059,142059,201009,202009,752999,112059,123059,135059,1200005,136059,143059,144059,139059,145059,138058,148058,101058,170058,4200006,3312928,3311632,200445,200570,200571,193765,193745,193735,193755 },
			[2] = { 730005,1200002,700073,2100045,723701,723718,723719,130089,118089,131089,111089,133079,113069,134099,114099,121189,120189,152189,117089,150199,151179,160199,421199,500189,900089,410199,420199,430199,440199,450199,460199,480199,481199,490199,510199,530199,540199,560199,580199,561199,182335,182345,182355,182365,182375,182385,141069,142069,201009,202009,135089,112069,123069,601199,191305,725016,191405,723694,723342,203009,610199,143069,136089,139089,144069,611199,612199,145069,511199,613199,624209,148069,138089,617199,617199,624199,170069,101089,626199,626199,4200005,3311631,3311821,3311744,3311745 },
			[3] = { 1088000,730004,723584,722840,723717,181305,181405,181505,181605,181705,181805,181905,181315,181415,181515,181615,181715,181815,181915,181325,181425,181525,181625,181725,181825,181925,181335,181345,181355,181365,181375,181385,181395,182305,182315,182325,700102,700122,752099,723860,723861,723862,723583,1200001,725018,725019,725020,725021,725022,725023,725024,183305,183375,183315,183325,700072,3003148,3003136,3200744,4200004,4200007 },
			[4] = { 730003,700012,700002,700032,723716,1200000,3000123,721259,3005312,3003147,3003135,4200003,3311629,3311630 },
			[5] = { 700062,700022,700052,723712,723715,710214,3000122,721258,3005310,3003146,3003134,4200002,3001264,3008226 },
			[6] = { 730002,723017,723700,723714,3000121,723711,3000121,3001410,3003133,3003153,721259,3009100,4200001,3008221 },
			[7] = { 730001,1060039,723724,723725,723727,723713,721936,721937,721938,721939,721940,721941,721942,721943,722089,722090,723855,723856,723859,723341,3000120,711504,720947,720946,728324,728325,3000061,3003132,3003140,3008224,4200001,3008221 },
		},
		--玉衡岩
		[1] = {
			[0] = { 723722,723723,421078,500078,900008,410078,420088,430088,440088,450088,460088,480088,481088,490088,510088,530088,540088,560088,580088,561088,130038,118038,131038,111038,133038,113018,134038,114038,121088,120088,152108,117038,150078,151078,160078,130048,118048,131048,111048,133028,113028,134048,114048,121098,120098,152088,117048,150098,151098,160118,141048,142048,142018,141038,201008,202008,201008,202008,601088,135048,112038,123038,135028,112028,123028,723863,723864,723865,720049,723695,203008,143028,136028,143038,136048,610088,611088,139048,144038,139028,144028,612088,145038,145028,511088,730007,613088,624088,617098,138028,148028,619078,204008,204008,626098,101028,170028,4200008,4200009,4200010,200471,200589,200590,200591,200593,2168695,192635,4031401,4031501,4032701,4032501,4032301,4032601,4031601,4032801,4032101,4032401,4032201,4032001,4021801,4021301,4021601,4021501,4021401,4022001,4021901,4023001,4021101,4021701 },
			[1] = { 730006,2100025,1100009,723720,723721,130059,118059,131059,111059,133049,113039,134059,114069,121129,120129,152129,117069,150119,151119,160099,141059,142059,201009,202009,752999,112059,123059,135059,1200005,136059,143059,144059,139059,145059,138058,148058,170059,101058,4200006,3312928,3311632,200445,200570,200571,193765,193745,193735,193755 },
			[2] = { 730005,1200002,700073,2100045,723701,723718,723719,130089,118089,131089,111089,133079,113069,134099,114099,121189,120189,152189,117089,150199,151179,160199,421199,500189,900089,410199,420199,430199,440199,450199,460199,480199,481199,490199,510199,530199,540199,560199,580199,561199,182335,182345,182355,182365,182375,182385,141069,142069,201009,202009,135089,112069,123069,601199,191305,725016,191405,723694,723342,203009,610199,143069,136089,139089,144069,611199,612199,145069,511199,613199,624209,148069,138089,617199,617199,624199,101089,626199,626199,170069,4200005,3311631,3311821,3311744,3311745 },
			[3] = { 700072,1088000,730004,723584,722840,723717,181305,181405,181505,181605,181705,181805,181905,181315,181415,181515,181615,181715,181815,181915,181325,181425,181525,181625,181725,181825,181925,181335,181345,181355,181365,181375,181385,181395,182305,182315,182325,700102,700122,752099,723860,723861,723862,723583,1200001,725018,725019,725020,725021,725022,725023,725024,183305,183375,183315,183325,3005313,3005314,3003148,3003136,3200744,4200004,4200007 },
			[4] = { 3000123,721259,730003,700012,700002,700032,723716,1200000,3005312,3003147,3003135,4200003,3311629,3311630 },
			[5] = { 721258,700062,700022,700052,723712,723715,710214,3000122,3005310,3005311,3001412,3003146,3003134,4200002,3001264,3008226 },
			[6] = { 730002,723017,723700,723714,3000121,723711,3000121,3001410,3005309,3003133,3003153,721259,3009100,4200001,3008221 },
			[7] = { 730001,1060039,723724,723725,723727,723713,721936,721937,721938,721939,721940,721941,721942,721943,722089,722090,723855,723856,723859,723341,720947,720946,728324,728325,3000061,711504,3000120,3000062,3003132,3003140,3008224,4200001,3008221 },
		},
		--天星崖
		[2] = {
			[0] = { 723722,723723,421078,500078,900008,410078,420088,430088,440088,450088,460088,480088,481088,490088,510088,530088,540088,560088,580088,561088,130038,118038,131038,111038,133038,113018,134038,114038,121088,120088,152108,117038,150078,151078,160078,130048,118048,131048,111048,133028,113028,134048,114048,121098,120098,152088,117048,150098,151098,160118,141048,142048,142018,141038,201008,202008,201008,202008,601088,135048,112038,123038,135028,112028,123028,723863,723864,723865,720049,723695,203008,143028,136028,143038,136048,610088,611088,139048,144038,139028,144028,612088,145038,145028,511088,730007,613088,624088,617098,138028,148028,619078,204008,204008,626098,101028,170028,4200008,4200009,4200010,200471,200589,200590,200591,200593,2168695,192635,4031401,4031501,4032701,4032501,4032301,4032601,4031601,4032801,4032101,4032401,4032201,4032001,4021801,4021301,4021601,4021501,4021401,4022001,4021901,4023001,4021101,4021701 },
			[1] = { 730006,2100025,1100009,723720,723721,130059,118059,131059,111059,133049,113039,134059,114069,121129,120129,152129,117069,150119,151119,160099,141059,142059,201009,202009,752999,112059,123059,135059,1200005,136059,143059,144059,139059,145059,138058,148058,170059,101058,4200006,3312928,3311632,200445,200570,200571,193765,193745,193735,193755 },
			[2] = { 730005,1200002,700073,2100045,723701,723718,723719,130089,118089,131089,111089,133079,113069,134099,114099,121189,120189,152189,117089,150199,151179,160199,421199,500189,900089,410199,420199,430199,440199,450199,460199,480199,481199,490199,510199,530199,540199,560199,580199,561199,182335,182345,182355,182365,182375,182385,141069,142069,201009,202009,135089,112069,123069,601199,601098,725016,191405,723694,723342,203009,610199,143069,136089,139089,144069,611199,612199,145069,511199,613199,624209,148069,138089,617199,617199,624199,170069,101089,626199,626199,4200005,3311631,3311821,3311744,3311745 },
			[3] = { 1088000,730004,723584,722840,723717,181305,181405,181505,181605,181705,181805,181905,181315,181415,181515,181615,181715,181815,181915,181325,181425,181525,181625,181725,181825,181925,181335,181345,181355,181365,181375,181385,181395,182305,182315,182325,700102,700122,752099,723860,723861,723862,723583,1200001,725018,725019,725020,725021,725022,725023,725024,183305,183375,183315,183325,700072,3003148,3003136,3200744,4200004,4200007 },
			[4] = { 730003,700012,700002,700032,723716,1200000,3005312,721259,3000123,3003147,3003135,4200003,3311629,3311630 },
			[5] = { 700062,700022,700052,723712,723715,3005310,3000122,710214,721258,3001414,3001415,3001416,3003146,3003134,4200002,3001264,3008226 },
			[6] = { 730002,723017,723700,723714,3000121,723711,3001410,3000121,3003133,3003153,721259,3009100,4200001,3008221 },
			[7] = { 730001,1060039,723724,723725,723727,723713,721936,721937,721938,721939,721940,721941,721942,721943,722089,722090,723855,723856,723859,723341,720947,720946,728324,728325,3000061,711504,3000120,3003132,3003140,3008224,4200001,3008221 },
		},
		--玄清门
		[3] = {
			[0] = { 723722,723723,421078,500078,900008,410078,420088,430088,440088,450088,460088,480088,481088,490088,510088,530088,540088,560088,580088,561088,130038,118038,131038,111038,133038,113018,134038,114038,121088,120088,152108,117038,150078,151078,160078,130048,118048,131048,111048,133028,113028,134048,114048,121098,120098,152088,117048,150098,151098,160118,141048,142048,142018,141038,201008,202008,201008,202008,601088,135048,112038,123038,135028,112028,123028,723863,723864,723865,720049,723695,203008,143028,136028,143038,136048,610088,611088,139048,144038,139028,144028,612088,145038,145028,511088,730007,613088,624088,617098,138028,148028,619078,204008,204008,3200728,3200743,626098,101028,170028,4200008,4200009,4200010,200471,200589,200590,200591,200593,2168695,192635,4031401,4031501,4032701,4032501,4032301,4032601,4031601,4032801,4032101,4032401,4032201,4032001,4021801,4021301,4021601,4021501,4021401,4022001,4021901,4023001,4021101,4021701 },
			[1] = { 730006,2100025,1100009,723720,723721,130059,118059,131059,111059,133049,113039,134059,114069,121129,120129,152129,117069,150119,151119,160099,141059,142059,201009,202009,752999,112059,123059,135059,1200005,136059,143059,144059,139059,145059,138058,148058,3200739,3200740,3200741,170059,101058,4200006,3312928,3311632,200445,200570,200571,193765,193745,193735,193755 },
			[2] = { 730005,1200002,700073,2100045,723701,723718,723719,130089,118089,131089,111089,133079,113069,134099,114099,121189,120189,152189,117089,150199,151179,160199,421199,500189,900089,410199,420199,430199,440199,450199,460199,480199,481199,490199,510199,530199,540199,560199,580199,561199,182335,182345,182355,182365,182375,182385,141069,142069,201009,202009,135089,112069,123069,601199,191305,725016,191405,723694,723342,203009,610199,143069,136089,139089,144069,611199,612199,145069,511199,613199,624209,148069,138089,617199,617199,624199,3200737,3200738,3200727,170069,101089,626199,626199,4200005,3311631,3311821,3311744,3311745 },
			[3] = { 1088000,730004,723584,722840,723717,181305,181405,181505,181605,181705,181805,181905,181315,181415,181515,181615,181715,181815,181915,181325,181425,181525,181625,181725,181825,181925,181335,181345,181355,181365,181375,181385,181395,182305,182315,182325,700102,700122,752099,723860,723861,723862,723583,1200001,725018,725019,725020,725021,725022,725023,725024,183305,183375,183315,183325,700072,3003148,3003136,3200726,3200736,3200735,4200004,4200007 },
			[4] = { 730003,700012,700002,700032,723716,1200000,3000123,721259,3005312,3003147,3003135,3200733,3200734,4200003,3311629,3311630 },
			[5] = { 700062,700022,700052,723712,723715,710214,3000122,721258,3005310,3003146,3003134,3200731,3200732,4200002,3001264,3008226 },
			[6] = { 730002,723017,723700,723714,3000121,723711,3000121,3001410,3003133,3003153,721259,3200729,3200730,3009100,4200001,3008221 },
			[7] = { 730001,1060039,723724,723725,723727,723713,721936,721937,721938,721939,721940,721941,721942,721943,722089,722090,723855,723856,723859,723341,3000120,711504,720947,720946,728324,728325,3000061,3003132,3003140,3200725,3008224,4200001,3008221 },
		},
		--三才殿
		[4] = {
			[0] = { 723722,723723,421078,500078,900008,410078,420088,430088,440088,450088,460088,480088,481088,490088,510088,530088,540088,560088,580088,561088,130038,118038,131038,111038,133038,113018,134038,114038,121088,120088,152108,117038,150078,151078,160078,130048,118048,131048,111048,133028,113028,134048,114048,121098,120098,152088,117048,150098,151098,160118,141048,142048,142018,141038,201008,202008,201008,202008,601088,135048,112038,123038,135028,112028,123028,723863,723864,723865,720049,723695,203008,143028,136028,143038,136048,610088,611088,139048,144038,139028,144028,612088,145038,145028,511088,730007,613088,624088,617098,138028,148028,619078,204008,204008,626098,101028,170028,4200008,4200009,4200010,200471,200589,200590,200591,200593,2168695,192635,4031401,4031501,4032701,4032501,4032301,4032601,4031601,4032801,4032101,4032401,4032201,4032001,4021801,4021301,4021601,4021501,4021401,4022001,4021901,4023001,4021101,4021701 },
			[1] = { 730006,2100025,1100009,723720,723721,130059,118059,131059,111059,133049,113039,134059,114069,121129,120129,152129,117069,150119,151119,160099,141059,142059,201009,202009,752999,112059,123059,135059,1200005,136059,143059,144059,139059,145059,138058,148058,170059,101058,4200006,3312928,3311632,200445,200570,200571,193765,193745,193735,193755 },
			[2] = { 730005,1200002,700073,2100045,723701,723718,723719,130089,118089,131089,111089,133079,113069,134099,114099,121189,120189,152189,117089,150199,151179,160199,421199,500189,900089,410199,420199,430199,440199,450199,460199,480199,481199,490199,510199,530199,540199,560199,580199,561199,182335,182345,182355,182365,182375,182385,141069,142069,201009,202009,135089,112069,123069,601199,191305,725016,191405,723694,723342,203009,610199,143069,136089,139089,144069,611199,612199,145069,511199,613199,624209,148069,138089,617199,617199,624199,170069,101089,626199,626199,4200005,3311631,3311821,3311744,3311745 },
			[3] = { 1088000,730004,723584,722840,723717,181305,181405,181505,181605,181705,181805,181905,181315,181415,181515,181615,181715,181815,181915,181325,181425,181525,181625,181725,181825,181925,181335,181345,181355,181365,181375,181385,181395,182305,182315,182325,700102,700122,752099,723860,723861,723862,723583,1200001,725018,725019,725020,725021,725022,725023,725024,183305,183375,183315,183325,700072,3003148,3003136,3200744,4200004,4200007 },
			[4] = { 730003,700012,700002,700032,723716,1200000,3005312,721259,3000123,3003147,3003135,4200003,3311629,3311630 },
			[5] = { 700062,700022,700052,723712,723715,3005310,3000122,710214,721258,3003146,3003134,4200002,3001264,3008226 },
			[6] = { 730002,723017,723700,723714,3000121,723711,3001410,3000121,3003133,3003153,721259,3009100,4200001,3008221 },
			[7] = { 730001,1060039,723724,723725,723727,723713,721936,721937,721938,721939,721940,721941,721942,721943,722089,722090,723855,723856,723859,723341,720947,720946,728324,728325,3000061,711504,3000120,3003132,3003140,3008224,4200001,3008221 },
		},
	},
	--云梦泽
	[1] = {
		--诛仙台
		[0] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--求道屿
		[1] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--无尘阁
		[2] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--莲花池
		[3] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--玉京塔
		[4] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
	},
	--昆仑山
	[2] = {
		--一线天
		[0] = {
			[0] = { 723695,3303170,730008,3314221,3314223,3330856 },
			[1] = { 3314245,730007,3330064,3331666,3314220 },
			[2] = { 3331658,3314219,3331665,3314222,3314246,720028,3331790 },
			[3] = { 3331657,3331661,3331662,3314250,3314251,3330881,3330882,730006 },
			[4] = { 3331656,3200727,730005,3331659,3331660,3331661,3330063,3314242,3314243,3314244 },
			[5] = { 3331655,3331669,3331664,700123,700103,700073,1088000,3331789,3314248,730005,3314218 },
			[6] = { 3331654,3331668,3322774,3331788,730004 },
			[7] = { 3331653,3331670,3330865,3331667,730003,723717,3314255 },
		},
		--大华观
		[1] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--寻仙阁
		[2] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--丹堂
		[3] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--月轮关
		[4] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
	},
}

--每个海域每个仙岛每个等级的仙缘的获奖物品
local AwaredItemPassion = {
--天墉城
	[0] = {
		--蓬莱仙岛
		[0] = {
			[0] = { 4021701,4021101,4023001,4021901,4022001,4021401,4021501,4021601,4021301,4021801,4032001,4032201,4032401,4032101,4032801,4031601,4032601,4032301,4032501,4032701,4031501,4031401,192635,2168695,200593,200591,200590,200589,200471,4200010,4200009,4200008,3303184,3303256,723723,723722,3200728,3303183,3310871 },
			[1] = { 193755,193735,193745,193765,200571,200570,200445,3311632,3312928,4200006,723721,723720,3310432,3303178,3303255 },
			[2] = { 3311745,3311744,3311821,3311631,4200005,3303179,3200727,3303254,723719,723718 },
			[3] = { 4200007,4200004,3310985,3310875,3310873,3310431,3003148,3310430,723717,3003136 },
			[4] = { 3311630,3311629,4200003,3310429,3003147,3003135,723716,3000063 },
			[5] = { 3008226,3001264,4200002,3310428,3003146,3310427,3003134,723715,3001410 },
			[6] = { 3008221,4200001,3009100,3003153,3303203,723714,3003133,3310874,3310872,3001409 },
			[7] = { 3008221,4200001,3008224,3310426,3003140,3003132,3001408,723713,3310870,3310869,3310868 },
		},
		--玉衡岩
		[1] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--天星崖
		[2] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--玄清门
		[3] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--三才殿
		[4] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
	},
	--云梦泽
	[1] = {
		--诛仙台
		[0] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--求道屿
		[1] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--无尘阁
		[2] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--莲花池
		[3] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--玉京塔
		[4] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
	},
	--昆仑山
	[2] = {
		--一线天
		[0] = {
			[0] = { 723695,3303170,730008,3314221,3314223,3330856 },
			[1] = { 3314245,730007,3330064,3331666,3314220 },
			[2] = { 3331658,3314219,3331665,3314222,3314246,720028,3331790 },
			[3] = { 3331657,3331661,3331662,3314250,3314251,3330881,3330882,730006 },
			[4] = { 3331656,3200727,730005,3331659,3331660,3331661,3330063,3314242,3314243,3314244 },
			[5] = { 3331655,3331669,3331664,700123,700103,700073,1088000,3331789,3314248,730005,3314218 },
			[6] = { 3331654,3331668,3322774,3331788,730004 },
			[7] = { 3331653,3331670,3330865,3331667,730003,723717,3314255,3000122 },
		},
		--大华观
		[1] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--寻仙阁
		[2] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--丹堂
		[3] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		--月轮关
		[4] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
	},
}

-- 参数
-- Name	参数名字
-- 返回值
-- 第一次打开的抽奖海域界面
local function GetFirstOpen(Name)
	return FirstOpen[Name]
end

-- 参数
-- Name	参数名字
-- 返回值
-- 参数对应的数值
local function GetLotteryShowData(Name)
	return LotteryShowData[Name]
end

-- 参数
-- Effect	特效名字
-- Axis		索引值
-- 返回值
-- 特效的移动量
local function GetEffectOffset(Effect, Axis)
	return EffectOffset[Effect][Axis]
end

-- 参数
-- Effect	特效名字
-- Axis		索引值
-- 返回值
-- 特效的移动量
local function GetEffectOffsetTen(Effect, Axis)
	return EffectOffsetTen[Effect][Axis]
end

-- 参数
-- Name		参数名字
-- Axis		索引值
-- 返回值
-- 特效的参数值
local function GetPrevPageButtonEffect(Name, Axis)
	return PrevPageButtonEffect[Name][Axis]
end

-- 参数
-- Effect	特效名字
-- Axis		索引值
-- 返回值
-- 特效的缩放比
local function GetEffectScale(Effect, Axis)
	return EffectScale[Effect][Axis]
end


-- 参数
-- Effect	特效名字
-- Axis		索引值
-- 返回值
-- 特效的缩放比
local function GetEffectScaleTen(Effect, Axis)
	return EffectScaleTen[Effect][Axis]
end

-- 参数
-- ItemID	道具索引
-- 返回值
-- 道具的title
local function GetItemIconTitle(ItemID)
	return ItemIconID[ItemID]
end

-- 参数
-- strStatus	状态索引
-- 返回值
-- 文字的颜色
local function GetIslandDateColor(strStatus)
	return IslandDateColor[strStatus]
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- strIndex		索引值
-- 返回值
-- 每个海域每个仙岛的消耗道具ID、最大抽奖次数或者道具消耗数量
local function GetIslandLotteryDate(nAreaType, nIslandType, strIndex)
	local default = -1
	
	if nIslandType >= 5 then 
		nIslandType = nIslandType%5 
	end
	
	local t1 = IslandLotteryDate[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = IslandLotteryDatePassion[nAreaType]
	end
	
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local str = t2[strIndex]
			if str then
				return str
			end
			return default
		end
		return default
	end
	return default
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- 返回值
-- 每个海域每个仙岛的开放状态
local function GetIslandStatus(nAreaType, nIslandType)
	local default = -1
	local t1 = IslandDate[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = IslandDatePassion[nAreaType]
	end
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local staus = t2["status"]
			if (staus) then
				return staus
			end
			return default
		end
		return default
	end
	return default
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- strIndex		开始或结束索引值
-- 返回值
-- 每个海域每个仙岛的时间
local function GetIslandTime(nAreaType, nIslandType, strIndex)
	local default = -1
	local t1 = IslandDate[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = IslandDatePassion[nAreaType]
	end
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local str = t2[strIndex]
			if str then
				return str
			end
			return default
		end
		return default
	end
	return default
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- nAwardLevel	仙缘等级
-- 返回值
-- 每个海域每个仙岛每个等级的仙缘的获奖概率
local function GetAwardRate(nAreaType, nIslandType, nAwardLevel)
	local default = "1"
	local t1 = AwardRate[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = AwardRatePassion[nAreaType]
	end
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local rate = t2[nAwardLevel]
			if (rate) then
				return rate
			end
			return default
		end
		return default
	end
	return default
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- nAwardLevel	仙缘等级
-- nItemIndex	物品索引
-- 返回值
-- 每级仙缘的获奖物品ID
local function GetAwardItem(nAreaType, nIslandType, nAwardLevel, nItemIndex)
	local default= -1
	local t1 = AwaredItem[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = AwaredItemPassion[nAreaType]
	end
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local itemTable = t2[nAwardLevel]
			if (itemTable ~= nil) then
				if (itemTable[nItemIndex] ~= nil) then
					return itemTable[nItemIndex]
				end
				return default
			end
			return default
		end
		return default
	end
	return default
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- nAwardLevel	仙缘等级
-- 返回值
-- 每级仙缘的获奖物品数量
local function GetAwardItemNum(nAreaType, nIslandType, nAwardLevel)
	local count = 0
	local t1 = AwaredItem[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = AwaredItemPassion[nAreaType]
	end
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local itemTable = t2[nAwardLevel]
			if (itemTable ~= nil) then
				for key, value in ipairs(itemTable) do
					count = count + 1
				end
				return count
			end
			return count
		end
		return count
	end
	return count
end

-- 清理变量释放内存
local function Unload()
	TYXJ_Lottery_GetFirstOpen = nil
	TYXJ_Lottery_GetIslandLotteryDate = nil
	TYXJ_Lottery_GetLotteryShowData = nil
	TYXJ_Lottery_GetIslandDateColor = nil
	TYXJ_Lottery_GetEffectScale = nil
	TYXJ_Lottery_GetEffectOffset = nil
	TYXJ_Lottery_GetEffectScaleTen = nil
	TYXJ_Lottery_GetEffectOffsetTen = nil
	TYXJ_Lottery_GetPrevPageButtonEffect = nil
	TYXJ_Lottery_GetItemIconTitle = nil
	TYXJ_Lottery_GetIslandStatus = nil
	TYXJ_Lottery_GetIslandTime = nil
	TYXJ_Lottery_GetAwardRate = nil
	TYXJ_Lottery_GetAwardItem = nil
	TYXJ_Lottery_GetAwardItemNum = nil
	TYXJ_Lottery_Unload = nil
end

local function GetAwardTenInfo(key)
	local keyValue = LotteryTenInfo[key]

	if (keyValue) then
		return keyValue
	end
	
	return ""
end

-- 通过require传给其他Lua脚本使用
local TYXJ_Lottery = {
	GetFirstOpen = GetFirstOpen,
	GetIslandLotteryDate = GetIslandLotteryDate,
	GetLotteryShowData = GetLotteryShowData,
	GetIslandDateColor = GetIslandDateColor,
	GetEffectOffset = GetEffectOffset,
	GetPrevPageButtonEffect = GetPrevPageButtonEffect,
	GetEffectScale = GetEffectScale,
	GetEffectOffsetTen = GetEffectOffsetTen,
	GetEffectScaleTen = GetEffectScaleTen,
	GetItemIconTitle = GetItemIconTitle,
	GetIslandStatus = GetIslandStatus,
	GetIslandTime = GetIslandTime,
	GetAwardRate = GetAwardRate,
	GetAwardItem = GetAwardItem,
	GetAwardItemNum = GetAwardItemNum,
	GetAwardTenInfo = GetAwardTenInfo,
	Unload = Unload,
}

-- C++程序使用的global函数名
TYXJ_Lottery_GetFirstOpen = TYXJ_Lottery.GetFirstOpen
TYXJ_Lottery_GetIslandLotteryDate = TYXJ_Lottery.GetIslandLotteryDate
TYXJ_Lottery_GetLotteryShowData = TYXJ_Lottery.GetLotteryShowData
TYXJ_Lottery_GetIslandDateColor = TYXJ_Lottery.GetIslandDateColor
TYXJ_Lottery_GetEffectScale = TYXJ_Lottery.GetEffectScale
TYXJ_Lottery_GetEffectOffset = TYXJ_Lottery.GetEffectOffset
TYXJ_Lottery_GetEffectScaleTen = TYXJ_Lottery.GetEffectScaleTen
TYXJ_Lottery_GetEffectOffsetTen = TYXJ_Lottery.GetEffectOffsetTen
TYXJ_Lottery_GetPrevPageButtonEffect = TYXJ_Lottery.GetPrevPageButtonEffect
TYXJ_Lottery_GetItemIconTitle = TYXJ_Lottery.GetItemIconTitle
TYXJ_Lottery_GetIslandStatus = TYXJ_Lottery.GetIslandStatus
TYXJ_Lottery_GetIslandTime = TYXJ_Lottery.GetIslandTime
TYXJ_Lottery_GetAwardRate = TYXJ_Lottery.GetAwardRate
TYXJ_Lottery_GetAwardItem = TYXJ_Lottery.GetAwardItem
TYXJ_Lottery_GetAwardItemNum = TYXJ_Lottery.GetAwardItemNum
TYXJ_Lottery_GetAwardTenInfo = TYXJ_Lottery.GetAwardTenInfo
TYXJ_Lottery_Unload = TYXJ_Lottery.Unload

-- require返回值
return TYXJ_Lottery